require "import"
import "com.androlua.*"
import "android.text.Html"
import "com.androlua.Http"
import "android.content.Context"
import "java.util.Locale"
import "android.net.Uri"
import "android.speech.tts.TextToSpeech"

Tsukuyomi = TextToSpeech(service, TextToSpeech.OnInitListener{
  onInit = function(NR_sensey)
    if NR_sensey == TextToSpeech.SUCCESS then
      Tsukuyomi.setLanguage(Locale.getDefault())
    else
      ShinraTensei("TTS tidak support di perangkat kamu.")
    end
  end
})

function ShinraTensei(GenjiMonogatari)
  if Tsukuyomi then
    Tsukuyomi.speak(GenjiMonogatari, TextToSpeech.QUEUE_FLUSH, nil, nil)
  end
end

Rinnegan = "https://translate.google.com/m?sl=en&tl=id&hl="..Locale.getDefault().getLanguage().."&q="..Uri.encode(this.getText(node))

Http.get(Rinnegan, function(Izanagi, Izanami)
  if Izanagi == 200 then
    local Raikiri = Izanami:match('<div class="result%-container">([^<]+)</div>')
    if Raikiri then
      ShinraTensei(Raikiri)
    else
      ShinraTensei("Terjemahan tidak terdeteksi.")
    end
  else
    ShinraTensei("Terjadi kesalahan, silakan coba lagi yaa.")
  end
end)
